| The Gaudi Framework v32r1 (f65d50dc)

Public Types | Static Public Member Functions | List of all members
GaudiPython::HistoDecorator Class Reference

Simple decorator class to allow to reuse the functionality of GaudiHistos<TYPE> class in pythin. More...

`#include <GaudiPython/HistoDecorator.h>`

## Public Types
typedef std::vector< GaudiAlg::ID > | IDs
typedef std::vector< AIDA::IHistogram1D * > | Histos1D
typedef std::vector< AIDA::IHistogram2D * > | Histos2D
typedef std::vector< AIDA::IHistogram3D * > | Histos3D
typedef std::vector< AIDA::IProfile1D * > | Profiles1D
typedef std::vector< AIDA::IProfile2D * > | Profiles2D

## Static Public Member Functions
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const double data, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient) More...
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const double data, const GaudiAlg::HistoID &ID, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient) More...
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const double data, const long ID, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient) More...
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const double data, const std::string &ID, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient) More...
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const GaudiPython::Vector &data, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient) More...
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const GaudiPython::Vector &data, const GaudiAlg::HistoID &ID, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient) More...
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const GaudiPython::Vector &data, const long ID, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient) More...
static AIDA::IHistogram1D * | plot1D (const GaudiHistoAlg &algo, const GaudiPython::Vector &data, const std::string &ID, const std::string &title, const double low, const double high, const unsigned long bins=100)
| "plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient) More...
static AIDA::IHistogram2D * | plot2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
| fill the 2D histogram (book on demand) More...
static AIDA::IHistogram2D * | plot2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const GaudiAlg::HistoID &ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
| fill the 2D histogram with forced ID assignment (book on demand) More...
static AIDA::IHistogram2D * | plot2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const long ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
| fill the 2D histogram with forced ID assignment (book on demand) More...
static AIDA::IHistogram2D * | plot2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const std::string &ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
| fill the 2D histogram with forced ID assignment (book on demand) More...
static AIDA::IHistogram3D * | plot3D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const double lowZ, const double highZ, const unsigned long binsX=10, const unsigned long binsY=10, const unsigned long binsZ=10, const double weight=1.0)
| fill the 3D histogram (book on demand) More...
static AIDA::IHistogram3D * | plot3D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const GaudiAlg::HistoID &ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const double lowZ, const double highZ, const unsigned long binsX=10, const unsigned long binsY=10, const unsigned long binsZ=10, const double weight=1.0)
| fill the 3D histogram (book on demand) More...
static AIDA::IHistogram3D * | plot3D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const long ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const double lowZ, const double highZ, const unsigned long binsX=10, const unsigned long binsY=10, const unsigned long binsZ=10, const double weight=1.0)
| fill the 3D histogram (book on demand) More...
static AIDA::IHistogram3D * | plot3D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const std::string &ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const double lowZ, const double highZ, const unsigned long binsX=10, const unsigned long binsY=10, const unsigned long binsZ=10, const double weight=1.0)
| fill the 3D histogram (book on demand) More...
static AIDA::IProfile1D * | profile1D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const unsigned long binsX=100, const std::string &opt="", const double lowY=-std::numeric_limits< double >::max(), const double highY=std::numeric_limits< double >::max(), const double weight=1.0)
static AIDA::IProfile1D * | profile1D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const GaudiAlg::HistoID &ID, const std::string &title, const double lowX, const double highX, const unsigned long binsX=100, const std::string &opt="", const double lowY=-std::numeric_limits< double >::max(), const double highY=std::numeric_limits< double >::max(), const double weight=1.0)
static AIDA::IProfile1D * | profile1D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const long ID, const std::string &title, const double lowX, const double highX, const unsigned long binsX=100, const std::string &opt="", const double lowY=-std::numeric_limits< double >::max(), const double highY=std::numeric_limits< double >::max(), const double weight=1.0)
static AIDA::IProfile1D * | profile1D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const std::string &ID, const std::string &title, const double lowX, const double highX, const unsigned long binsX=100, const std::string &opt="", const double lowY=-std::numeric_limits< double >::max(), const double highY=std::numeric_limits< double >::max(), const double weight=1.0)
static AIDA::IProfile2D * | profile2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
static AIDA::IProfile2D * | profile2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const GaudiAlg::HistoID &ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
static AIDA::IProfile2D * | profile2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const long ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
static AIDA::IProfile2D * | profile2D (const GaudiHistoAlg &algo, const double valueX, const double valueY, const double valueZ, const std::string &ID, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0)
static size_t | _histos_a_ (const GaudiHistoAlg *cmp, IDs &ids, Histos1D &histos)
static size_t | _histos_t_ (const GaudiHistoTool *cmp, IDs &ids, Histos1D &histos)
static size_t | _histos_a_ (const IAlgorithm *cmp, IDs &ids, Histos1D &histos)
static size_t | _histos_t_ (const IAlgTool *cmp, IDs &ids, Histos1D &histos)
static size_t | _histos_a_ (const GaudiHistoAlg *cmp, IDs &ids, Histos2D &histos)
static size_t | _histos_t_ (const GaudiHistoTool *cmp, IDs &ids, Histos2D &histos)
static size_t | _histos_a_ (const IAlgorithm *cmp, IDs &ids, Histos2D &histos)
static size_t | _histos_t_ (const IAlgTool *cmp, IDs &ids, Histos2D &histos)
static size_t | _histos_a_ (const GaudiHistoAlg *cmp, IDs &ids, Histos3D &histos)
static size_t | _histos_t_ (const GaudiHistoTool *cmp, IDs &ids, Histos3D &histos)
static size_t | _histos_a_ (const IAlgorithm *cmp, IDs &ids, Histos3D &histos)
static size_t | _histos_t_ (const IAlgTool *cmp, IDs &ids, Histos3D &histos)
static size_t | _histos_a_ (const GaudiHistoAlg *cmp, IDs &ids, Profiles1D &histos)
static size_t | _histos_t_ (const GaudiHistoTool *cmp, IDs &ids, Profiles1D &histos)
static size_t | _histos_a_ (const IAlgorithm *cmp, IDs &ids, Profiles1D &histos)
static size_t | _histos_t_ (const IAlgTool *cmp, IDs &ids, Profiles1D &histos)
static size_t | _histos_a_ (const GaudiHistoAlg *cmp, IDs &ids, Profiles2D &histos)
static size_t | _histos_t_ (const GaudiHistoTool *cmp, IDs &ids, Profiles2D &histos)
static size_t | _histos_a_ (const IAlgorithm *cmp, IDs &ids, Profiles2D &histos)
static size_t | _histos_t_ (const IAlgTool *cmp, IDs &ids, Profiles2D &histos)

## Detailed Description

Simple decorator class to allow to reuse the functionality of GaudiHistos<TYPE> class in pythin.

Author
  Vanya BELYAEV Ivan..nosp@m.Bely.nosp@m.aev@l.nosp@m.app..nosp@m.in2p3.nosp@m..fr

Date
  2005-08-04

Definition at line 25 of file HistoDecorator.h.

## Member Typedef Documentation

## ◆ Histos1D

typedef std::vector<AIDA::IHistogram1D*> GaudiPython::HistoDecorator::Histos1D

Definition at line 29 of file HistoDecorator.h.

## ◆ Histos2D

typedef std::vector<AIDA::IHistogram2D*> GaudiPython::HistoDecorator::Histos2D

Definition at line 30 of file HistoDecorator.h.

## ◆ Histos3D

typedef std::vector<AIDA::IHistogram3D*> GaudiPython::HistoDecorator::Histos3D

Definition at line 31 of file HistoDecorator.h.

## ◆ IDs

typedef std::vector<GaudiAlg::ID> GaudiPython::HistoDecorator::IDs

Definition at line 28 of file HistoDecorator.h.

## ◆ Profiles1D

typedef std::vector<AIDA::IProfile1D*> GaudiPython::HistoDecorator::Profiles1D

Definition at line 32 of file HistoDecorator.h.

## ◆ Profiles2D

typedef std::vector<AIDA::IProfile2D*> GaudiPython::HistoDecorator::Profiles2D

Definition at line 33 of file HistoDecorator.h.

## Member Function Documentation

## ◆ _histos_a_() [1/10]

size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const GaudiHistoAlg * | cmp,
|  | IDs & | ids,
|  | Histos1D & | histos
| ) |  |
| static

Definition at line 469 of file HistoDecorator.cpp.

470 {
471 histos.clear();
472 ids.clear();
473 return cmp ? fromMap( cmp->histo1DMapID(), ids, histos ) : 0;
474 // ==========================================================================
475 }
compareRootHistos.histos
list histos
Definition: compareRootHistos.py:13
GaudiHistos::histo1DMapID
const Histo1DMapID & histo1DMapID() const
get access to the map of all 1D histograms index via ID
Definition: GaudiHistos.h:2448

## ◆ _histos_a_() [2/10]

size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const IAlgorithm * | cmp,
|  | IDs & | ids,
|  | Histos1D & | histos
| ) |  |
| static

Definition at line 485 of file HistoDecorator.cpp.

486 {
487 ids.clear();
488 histos.clear();
489 return cmp ? _histos_a_( dynamic_cast<const GaudiHistoAlg*>( cmp ), ids, histos ) : 0;
490 }
compareRootHistos.histos
list histos
Definition: compareRootHistos.py:13
GaudiPython::HistoDecorator::_histos_a_
static size_t _histos_a_(const GaudiHistoAlg *cmp, IDs &ids, Histos1D &histos)
Definition: HistoDecorator.cpp:469

## ◆ _histos_a_() [3/10]

static size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const GaudiHistoAlg * | cmp,
|  | IDs & | ids,
|  | Histos2D & | histos
| ) |  |
| static

## ◆ _histos_a_() [4/10]

static size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const IAlgorithm * | cmp,
|  | IDs & | ids,
|  | Histos2D & | histos
| ) |  |
| static

## ◆ _histos_a_() [5/10]

static size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const GaudiHistoAlg * | cmp,
|  | IDs & | ids,
|  | Histos3D & | histos
| ) |  |
| static

## ◆ _histos_a_() [6/10]

static size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const IAlgorithm * | cmp,
|  | IDs & | ids,
|  | Histos3D & | histos
| ) |  |
| static

## ◆ _histos_a_() [7/10]

static size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const GaudiHistoAlg * | cmp,
|  | IDs & | ids,
|  | Profiles1D & | histos
| ) |  |
| static

## ◆ _histos_a_() [8/10]

static size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const IAlgorithm * | cmp,
|  | IDs & | ids,
|  | Profiles1D & | histos
| ) |  |
| static

## ◆ _histos_a_() [9/10]

static size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const GaudiHistoAlg * | cmp,
|  | IDs & | ids,
|  | Profiles2D & | histos
| ) |  |
| static

## ◆ _histos_a_() [10/10]

static size_t GaudiPython::HistoDecorator::_histos_a_ | ( | const IAlgorithm * | cmp,
|  | IDs & | ids,
|  | Profiles2D & | histos
| ) |  |
| static

## ◆ _histos_t_() [1/10]

size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const GaudiHistoTool * | cmp,
|  | IDs & | ids,
|  | Histos1D & | histos
| ) |  |
| static

Definition at line 477 of file HistoDecorator.cpp.

478 {
479 histos.clear();
480 ids.clear();
481 return cmp ? fromMap( cmp->histo1DMapID(), ids, histos ) : 0;
482 // ==========================================================================
483 }
compareRootHistos.histos
list histos
Definition: compareRootHistos.py:13
GaudiHistos::histo1DMapID
const Histo1DMapID & histo1DMapID() const
get access to the map of all 1D histograms index via ID
Definition: GaudiHistos.h:2448

## ◆ _histos_t_() [2/10]

size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const IAlgTool * | cmp,
|  | IDs & | ids,
|  | Histos1D & | histos
| ) |  |
| static

Definition at line 492 of file HistoDecorator.cpp.

493 {
494 ids.clear();
495 histos.clear();
496 return cmp ? _histos_t_( dynamic_cast<const GaudiHistoTool*>( cmp ), ids, histos ) : 0;
497 }
compareRootHistos.histos
list histos
Definition: compareRootHistos.py:13
GaudiPython::HistoDecorator::_histos_t_
static size_t _histos_t_(const GaudiHistoTool *cmp, IDs &ids, Histos1D &histos)
Definition: HistoDecorator.cpp:477

## ◆ _histos_t_() [3/10]

static size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const GaudiHistoTool * | cmp,
|  | IDs & | ids,
|  | Histos2D & | histos
| ) |  |
| static

## ◆ _histos_t_() [4/10]

static size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const IAlgTool * | cmp,
|  | IDs & | ids,
|  | Histos2D & | histos
| ) |  |
| static

## ◆ _histos_t_() [5/10]

static size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const GaudiHistoTool * | cmp,
|  | IDs & | ids,
|  | Histos3D & | histos
| ) |  |
| static

## ◆ _histos_t_() [6/10]

static size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const IAlgTool * | cmp,
|  | IDs & | ids,
|  | Histos3D & | histos
| ) |  |
| static

## ◆ _histos_t_() [7/10]

static size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const GaudiHistoTool * | cmp,
|  | IDs & | ids,
|  | Profiles1D & | histos
| ) |  |
| static

## ◆ _histos_t_() [8/10]

static size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const IAlgTool * | cmp,
|  | IDs & | ids,
|  | Profiles1D & | histos
| ) |  |
| static

## ◆ _histos_t_() [9/10]

static size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const GaudiHistoTool * | cmp,
|  | IDs & | ids,
|  | Profiles2D & | histos
| ) |  |
| static

## ◆ _histos_t_() [10/10]

static size_t GaudiPython::HistoDecorator::_histos_t_ | ( | const IAlgTool * | cmp,
|  | IDs & | ids,
|  | Profiles2D & | histos
| ) |  |
| static

## ◆ plot1D() [1/8]

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const double | data,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100`
| ) |  |
| static

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters

  algo | the algorihtm
  data | data
  title | histogram title
  low | low edge
  high | high edge
  bins | number of bins

Definition at line 30 of file HistoDecorator.cpp.

32 {
33 return algo.plot1D( data, title, low, high, bins );
34 }
GaudiHistos::plot1D
AIDA::IHistogram1D * plot1D(const double value, const std::string &title, const double low, const double high, const unsigned long bins=100, const double weight=1.0) const
fill the 1D histogram (book on demand)
Definition: GaudiHistos_1DFixedBinning.icpp:103

## ◆ plot1D() [2/8]

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const double | data,
|  | const GaudiAlg::HistoID & | ID,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100`
| ) |  |
| static

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters

  algo | the algorihtm
  data | data
  ID | histogram ID
  title | histogram title
  low | low edge
  high | high edge
  bins | number of bins

Definition at line 47 of file HistoDecorator.cpp.

50 {
51 return algo.plot1D( data, ID, title, low, high, bins );
52 }
GaudiHistos::plot1D
AIDA::IHistogram1D * plot1D(const double value, const std::string &title, const double low, const double high, const unsigned long bins=100, const double weight=1.0) const
fill the 1D histogram (book on demand)
Definition: GaudiHistos_1DFixedBinning.icpp:103

## ◆ plot1D() [3/8]

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const double | data,
|  | const long | ID,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100`
| ) |  |
| static

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters

  algo | the algorihtm
  data | data
  ID | histogram ID
  title | histogram title
  low | low edge
  high | high edge
  bins | number of bins

Definition at line 65 of file HistoDecorator.cpp.

67 {
68 return algo.plot1D( data, ID, title, low, high, bins );
69 }
GaudiHistos::plot1D
AIDA::IHistogram1D * plot1D(const double value, const std::string &title, const double low, const double high, const unsigned long bins=100, const double weight=1.0) const
fill the 1D histogram (book on demand)
Definition: GaudiHistos_1DFixedBinning.icpp:103

## ◆ plot1D() [4/8]

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const double | data,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100`
| ) |  |
| static

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters

  algo | the algorihtm
  data | data
  ID | histogram ID
  title | histogram title
  low | low edge
  high | high edge
  bins | number of bins

Definition at line 82 of file HistoDecorator.cpp.

85 {
86 return algo.plot1D( data, ID, title, low, high, bins );
87 }
GaudiHistos::plot1D
AIDA::IHistogram1D * plot1D(const double value, const std::string &title, const double low, const double high, const unsigned long bins=100, const double weight=1.0) const
fill the 1D histogram (book on demand)
Definition: GaudiHistos_1DFixedBinning.icpp:103

## ◆ plot1D() [5/8]

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const GaudiPython::Vector & | data,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100`
| ) |  |
| static

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters

  algo | the algorihtm
  data | vector of data
  title | histogram title
  low | low edge
  high | high edge
  bins | number of bins

Definition at line 99 of file HistoDecorator.cpp.

101 {
102 return algo.plot( GaudiPython::_identity(), data.begin(), data.end(), title, low, high, bins );
103 }
GaudiPython::_identity
It is here due to 'missing'(?) std::identity.
Definition: Vector.h:27
GaudiHistos::plot
AIDA::IHistogram1D * plot(const double value, const std::string &title, const double low, const double high, const unsigned long bins=100, const double weight=1.0) const
fill the 1D histogram (book on demand)
Definition: GaudiHistos.h:152
std::vector::end
T end(T... args)
std::vector::begin
T begin(T... args)

## ◆ plot1D() [6/8]

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const GaudiPython::Vector & | data,
|  | const GaudiAlg::HistoID & | ID,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100`
| ) |  |
| static

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters

  algo | the algorihtm
  data | vector of data
  ID | histogram ID
  title | histogram title
  low | low edge
  high | high edge
  bins | number of bins

Definition at line 116 of file HistoDecorator.cpp.

119 {
120 return algo.plot( GaudiPython::_identity(), data.begin(), data.end(), ID, title, low, high, bins );
121 }
GaudiPython::_identity
It is here due to 'missing'(?) std::identity.
Definition: Vector.h:27
GaudiHistos::plot
AIDA::IHistogram1D * plot(const double value, const std::string &title, const double low, const double high, const unsigned long bins=100, const double weight=1.0) const
fill the 1D histogram (book on demand)
Definition: GaudiHistos.h:152
std::vector::end
T end(T... args)
std::vector::begin
T begin(T... args)

## ◆ plot1D() [7/8]

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const GaudiPython::Vector & | data,
|  | const long | ID,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100`
| ) |  |
| static

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters

  algo | the algorihtm
  data | vector of data
  ID | histogram ID
  title | histogram title
  low | low edge
  high | high edge
  bins | number of bins

Definition at line 134 of file HistoDecorator.cpp.

136 {
137 return algo.plot( GaudiPython::_identity(), data.begin(), data.end(), ID, title, low, high, bins );
138 }
GaudiPython::_identity
It is here due to 'missing'(?) std::identity.
Definition: Vector.h:27
GaudiHistos::plot
AIDA::IHistogram1D * plot(const double value, const std::string &title, const double low, const double high, const unsigned long bins=100, const double weight=1.0) const
fill the 1D histogram (book on demand)
Definition: GaudiHistos.h:152
std::vector::end
T end(T... args)
std::vector::begin
T begin(T... args)

## ◆ plot1D() [8/8]

AIDA::IHistogram1D * GaudiPython::HistoDecorator::plot1D | ( | const GaudiHistoAlg & | algo,
|  | const GaudiPython::Vector & | data,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const double | low,
|  | const double | high,
|  | const unsigned long | bins = `100`
| ) |  |
| static

"plot"(book&fill) a sequence of data from the vector (implicit loop) (Expected to be more efficient)

Parameters

  algo | the algorihtm
  data | vector of data
  ID | histogram ID
  title | histogram title
  low | low edge
  high | high edge
  bins | number of bins

Definition at line 151 of file HistoDecorator.cpp.

154 {
155 return algo.plot( GaudiPython::_identity(), data.begin(), data.end(), ID, title, low, high, bins );
156 }
GaudiPython::_identity
It is here due to 'missing'(?) std::identity.
Definition: Vector.h:27
GaudiHistos::plot
AIDA::IHistogram1D * plot(const double value, const std::string &title, const double low, const double high, const unsigned long bins=100, const double weight=1.0) const
fill the 1D histogram (book on demand)
Definition: GaudiHistos.h:152
std::vector::end
T end(T... args)
std::vector::begin
T begin(T... args)

## ◆ plot2D() [1/4]

AIDA::IHistogram2D * GaudiPython::HistoDecorator::plot2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0`
| ) |  |
| static

fill the 2D histogram (book on demand)

Parameters

  valueX | x value to be filled
  valueY | y value to be filled
  title | histogram title (must be unique within the algorithm)
  lowX | low x limit for histogram
  highX | high x limit for histogram
  lowY | low y limit for histogram
  highY | high y limit for histogram
  binsX | number of bins in x
  binsY | number of bins in y
  weight | weight

Returns
  pointer to AIDA 2D histogram

Definition at line 172 of file HistoDecorator.cpp.

176 {
177 return algo.plot2D( valueX, valueY, title, lowX, highX, lowY, highY, binsX, binsY, weight );
178 }
GaudiHistos::plot2D
AIDA::IHistogram2D * plot2D(const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0) const
fill the 2D histogram (book on demand)
Definition: GaudiHistos_2DFixedBinning.icpp:106

## ◆ plot2D() [2/4]

AIDA::IHistogram2D * GaudiPython::HistoDecorator::plot2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const GaudiAlg::HistoID & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0`
| ) |  |
| static

fill the 2D histogram with forced ID assignment (book on demand)

fill the 2D histogram (book on demand)

Parameters

  valueX | x value to be filled
  valueY | y value to be filled
  ID | Histogram ID to use
  title | histogram title (must be unique within the algorithm)
  lowX | low x limit for histogram
  highX | high x limit for histogram
  lowY | low y limit for histogram
  highY | high y limit for histogram
  binsX | number of bins in x
  binsY | number of bins in y
  weight | weight

Returns
  pointer to AIDA 2D histogram

Definition at line 195 of file HistoDecorator.cpp.

200 {
201 return algo.plot2D( valueX, valueY, ID, title, lowX, highX, lowY, highY, binsX, binsY, weight );
202 }
GaudiHistos::plot2D
AIDA::IHistogram2D * plot2D(const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0) const
fill the 2D histogram (book on demand)
Definition: GaudiHistos_2DFixedBinning.icpp:106

## ◆ plot2D() [3/4]

AIDA::IHistogram2D * GaudiPython::HistoDecorator::plot2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const long | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0`
| ) |  |
| static

fill the 2D histogram with forced ID assignment (book on demand)

Parameters

  valueX | x value to be filled
  valueY | y value to be filled
  ID | Histogram ID to use
  title | histogram title (must be unique within the algorithm)
  lowX | low x limit for histogram
  highX | high x limit for histogram
  lowY | low y limit for histogram
  highY | high y limit for histogram
  binsX | number of bins in x
  binsY | number of bins in y
  weight | weight

Returns
  pointer to AIDA 2D histogram

Definition at line 219 of file HistoDecorator.cpp.

223 {
224 return algo.plot2D( valueX, valueY, ID, title, lowX, highX, lowY, highY, binsX, binsY, weight );
225 }
GaudiHistos::plot2D
AIDA::IHistogram2D * plot2D(const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0) const
fill the 2D histogram (book on demand)
Definition: GaudiHistos_2DFixedBinning.icpp:106

## ◆ plot2D() [4/4]

AIDA::IHistogram2D * GaudiPython::HistoDecorator::plot2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0`
| ) |  |
| static

fill the 2D histogram with forced ID assignment (book on demand)

Parameters

  valueX | x value to be filled
  valueY | y value to be filled
  ID | Histogram ID to use
  title | histogram title (must be unique within the algorithm)
  lowX | low x limit for histogram
  highX | high x limit for histogram
  lowY | low y limit for histogram
  highY | high y limit for histogram
  binsX | number of bins in x
  binsY | number of bins in y
  weight | weight

Returns
  pointer to AIDA 2D histogram

Definition at line 242 of file HistoDecorator.cpp.

247 {
248 return algo.plot2D( valueX, valueY, ID, title, lowX, highX, lowY, highY, binsX, binsY, weight );
249 }
GaudiHistos::plot2D
AIDA::IHistogram2D * plot2D(const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0) const
fill the 2D histogram (book on demand)
Definition: GaudiHistos_2DFixedBinning.icpp:106

## ◆ plot3D() [1/4]

AIDA::IHistogram3D * GaudiPython::HistoDecorator::plot3D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const double | lowZ,
|  | const double | highZ,
|  | const unsigned long | binsX = `10`,
|  | const unsigned long | binsY = `10`,
|  | const unsigned long | binsZ = `10`,
|  | const double | weight = `1.0`
| ) |  |
| static

fill the 3D histogram (book on demand)

Parameters

  valueX | x value to be filled
  valueY | y value to be filled
  valueZ | z value to be filled
  title | histogram title (must be unique within the algorithm)
  lowX | low x limit for histogram
  highX | high x limit for histogram
  lowY | low y limit for histogram
  highY | high y limit for histogram
  lowZ | low z limit for histogram
  highZ | high z limit for histogram
  binsX | number of bins in x
  binsY | number of bins in y
  binsZ | number of bins in z
  weight | weight

Returns
  pointer to AIDA 3D histogram

Definition at line 269 of file HistoDecorator.cpp.

272 {
273 return algo.plot3D( valueX, valueY, valueZ, title, lowX, highX, lowY, highY, lowZ, highZ, binsX, binsY, binsZ,
274 weight );
275 }
GaudiHistos::plot3D
AIDA::IHistogram3D * plot3D(const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const double lowZ, const double highZ, const unsigned long binsX=10, const unsigned long binsY=10, const unsigned long binsZ=10, const double weight=1.0) const
fill the 3D histogram (book on demand)
Definition: GaudiHistos_3DFixedBinning.icpp:111

## ◆ plot3D() [2/4]

AIDA::IHistogram3D * GaudiPython::HistoDecorator::plot3D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const GaudiAlg::HistoID & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const double | lowZ,
|  | const double | highZ,
|  | const unsigned long | binsX = `10`,
|  | const unsigned long | binsY = `10`,
|  | const unsigned long | binsZ = `10`,
|  | const double | weight = `1.0`
| ) |  |
| static

fill the 3D histogram (book on demand)

Parameters

  valueX | x value to be filled
  valueY | y value to be filled
  valueZ | z value to be filled
  ID | Histogram ID to use
  title | histogram title (must be unique within the algorithm)
  lowX | low x limit for histogram
  highX | high x limit for histogram
  lowY | low y limit for histogram
  highY | high y limit for histogram
  lowZ | low z limit for histogram
  highZ | high z limit for histogram
  binsX | number of bins in x
  binsY | number of bins in y
  binsZ | number of bins in z
  weight | weight

Returns
  pointer to AIDA 3D histogram

Definition at line 295 of file HistoDecorator.cpp.

301 {
302 return algo.plot3D( valueX, valueY, valueZ, ID, title, lowX, highX, lowY, highY, lowZ, highZ, binsX, binsY, binsZ,
303 weight );
304 }
GaudiHistos::plot3D
AIDA::IHistogram3D * plot3D(const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const double lowZ, const double highZ, const unsigned long binsX=10, const unsigned long binsY=10, const unsigned long binsZ=10, const double weight=1.0) const
fill the 3D histogram (book on demand)
Definition: GaudiHistos_3DFixedBinning.icpp:111

## ◆ plot3D() [3/4]

AIDA::IHistogram3D * GaudiPython::HistoDecorator::plot3D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const long | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const double | lowZ,
|  | const double | highZ,
|  | const unsigned long | binsX = `10`,
|  | const unsigned long | binsY = `10`,
|  | const unsigned long | binsZ = `10`,
|  | const double | weight = `1.0`
| ) |  |
| static

fill the 3D histogram (book on demand)

Parameters

  valueX | x value to be filled
  valueY | y value to be filled
  valueZ | z value to be filled
  ID | Histogram ID to use
  title | histogram title (must be unique within the algorithm)
  lowX | low x limit for histogram
  highX | high x limit for histogram
  lowY | low y limit for histogram
  highY | high y limit for histogram
  lowZ | low z limit for histogram
  highZ | high z limit for histogram
  binsX | number of bins in x
  binsY | number of bins in y
  binsZ | number of bins in z
  weight | weight

Returns
  pointer to AIDA 3D histogram

Definition at line 324 of file HistoDecorator.cpp.

330 {
331 return algo.plot3D( valueX, valueY, valueZ, ID, title, lowX, highX, lowY, highY, lowZ, highZ, binsX, binsY, binsZ,
332 weight );
333 }
GaudiHistos::plot3D
AIDA::IHistogram3D * plot3D(const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const double lowZ, const double highZ, const unsigned long binsX=10, const unsigned long binsY=10, const unsigned long binsZ=10, const double weight=1.0) const
fill the 3D histogram (book on demand)
Definition: GaudiHistos_3DFixedBinning.icpp:111

## ◆ plot3D() [4/4]

AIDA::IHistogram3D * GaudiPython::HistoDecorator::plot3D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const double | lowZ,
|  | const double | highZ,
|  | const unsigned long | binsX = `10`,
|  | const unsigned long | binsY = `10`,
|  | const unsigned long | binsZ = `10`,
|  | const double | weight = `1.0`
| ) |  |
| static

fill the 3D histogram (book on demand)

Parameters

  valueX | x value to be filled
  valueY | y value to be filled
  valueZ | z value to be filled
  ID | Histogram ID to use
  title | histogram title (must be unique within the algorithm)
  lowX | low x limit for histogram
  highX | high x limit for histogram
  lowY | low y limit for histogram
  highY | high y limit for histogram
  lowZ | low z limit for histogram
  highZ | high z limit for histogram
  binsX | number of bins in x
  binsY | number of bins in y
  binsZ | number of bins in z
  weight | weight

Returns
  pointer to AIDA 3D histogram

Definition at line 353 of file HistoDecorator.cpp.

359 {
360 return algo.plot3D( valueX, valueY, valueZ, ID, title, lowX, highX, lowY, highY, lowZ, highZ, binsX, binsY, binsZ,
361 weight );
362 }
GaudiHistos::plot3D
AIDA::IHistogram3D * plot3D(const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const double lowZ, const double highZ, const unsigned long binsX=10, const unsigned long binsY=10, const unsigned long binsZ=10, const double weight=1.0) const
fill the 3D histogram (book on demand)
Definition: GaudiHistos_3DFixedBinning.icpp:111

## ◆ profile1D() [1/4]

AIDA::IProfile1D * GaudiPython::HistoDecorator::profile1D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const unsigned long | binsX = `100`,
|  | const std::string & | opt = `""`,
|  | const double | lowY = `-std::numeric_limits<double>::max()`,
|  | const double | highY = `std::numeric_limits<double>::max()`,
|  | const double | weight = `1.0`
| ) |  |
| static

Definition at line 366 of file HistoDecorator.cpp.

370 {
371 return algo.profile1D( valueX, valueY, title, lowX, highX, binsX, opt, lowY, highY, weight );
372 }
GaudiHistos::profile1D
AIDA::IProfile1D * profile1D(const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const unsigned long binsX=100, const std::string &opt="", const double lowY=-std::numeric_limits< double >::max(), const double highY=std::numeric_limits< double >::max(), const double weight=1.0) const
fill the 1D profile histogram (book on demand)
Definition: GaudiHistos_1DProfFixedBinning.icpp:104

## ◆ profile1D() [2/4]

AIDA::IProfile1D * GaudiPython::HistoDecorator::profile1D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const GaudiAlg::HistoID & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const unsigned long | binsX = `100`,
|  | const std::string & | opt = `""`,
|  | const double | lowY = `-std::numeric_limits<double>::max()`,
|  | const double | highY = `std::numeric_limits<double>::max()`,
|  | const double | weight = `1.0`
| ) |  |
| static

Definition at line 376 of file HistoDecorator.cpp.

381 {
382 return algo.profile1D( valueX, valueY, ID, title, lowX, highX, binsX, opt, lowY, highY, weight );
383 }
GaudiHistos::profile1D
AIDA::IProfile1D * profile1D(const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const unsigned long binsX=100, const std::string &opt="", const double lowY=-std::numeric_limits< double >::max(), const double highY=std::numeric_limits< double >::max(), const double weight=1.0) const
fill the 1D profile histogram (book on demand)
Definition: GaudiHistos_1DProfFixedBinning.icpp:104

## ◆ profile1D() [3/4]

AIDA::IProfile1D * GaudiPython::HistoDecorator::profile1D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const long | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const unsigned long | binsX = `100`,
|  | const std::string & | opt = `""`,
|  | const double | lowY = `-std::numeric_limits<double>::max()`,
|  | const double | highY = `std::numeric_limits<double>::max()`,
|  | const double | weight = `1.0`
| ) |  |
| static

Definition at line 387 of file HistoDecorator.cpp.

391 {
392 return algo.profile1D( valueX, valueY, ID, title, lowX, highX, binsX, opt, lowY, highY, weight );
393 }
GaudiHistos::profile1D
AIDA::IProfile1D * profile1D(const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const unsigned long binsX=100, const std::string &opt="", const double lowY=-std::numeric_limits< double >::max(), const double highY=std::numeric_limits< double >::max(), const double weight=1.0) const
fill the 1D profile histogram (book on demand)
Definition: GaudiHistos_1DProfFixedBinning.icpp:104

## ◆ profile1D() [4/4]

AIDA::IProfile1D * GaudiPython::HistoDecorator::profile1D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const unsigned long | binsX = `100`,
|  | const std::string & | opt = `""`,
|  | const double | lowY = `-std::numeric_limits<double>::max()`,
|  | const double | highY = `std::numeric_limits<double>::max()`,
|  | const double | weight = `1.0`
| ) |  |
| static

Definition at line 397 of file HistoDecorator.cpp.

402 {
403 return algo.profile1D( valueX, valueY, ID, title, lowX, highX, binsX, opt, lowY, highY, weight );
404 }
GaudiHistos::profile1D
AIDA::IProfile1D * profile1D(const double valueX, const double valueY, const std::string &title, const double lowX, const double highX, const unsigned long binsX=100, const std::string &opt="", const double lowY=-std::numeric_limits< double >::max(), const double highY=std::numeric_limits< double >::max(), const double weight=1.0) const
fill the 1D profile histogram (book on demand)
Definition: GaudiHistos_1DProfFixedBinning.icpp:104

## ◆ profile2D() [1/4]

AIDA::IProfile2D * GaudiPython::HistoDecorator::profile2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0`
| ) |  |
| static

Definition at line 408 of file HistoDecorator.cpp.

413 {
414 return algo.profile2D( valueX, valueY, valueZ, title, lowX, highX, lowY, highY, binsX, binsY, weight );
415 }
GaudiHistos::profile2D
AIDA::IProfile2D * profile2D(const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0) const
fill the 2D profile histogram (book on demand)
Definition: GaudiHistos_2DProfFixedBinning.icpp:103

## ◆ profile2D() [2/4]

AIDA::IProfile2D * GaudiPython::HistoDecorator::profile2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const GaudiAlg::HistoID & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0`
| ) |  |
| static

Definition at line 419 of file HistoDecorator.cpp.

424 {
425 return algo.profile2D( valueX, valueY, valueZ, ID, title, lowX, highX, lowY, highY, binsX, binsY, weight );
426 }
GaudiHistos::profile2D
AIDA::IProfile2D * profile2D(const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0) const
fill the 2D profile histogram (book on demand)
Definition: GaudiHistos_2DProfFixedBinning.icpp:103

## ◆ profile2D() [3/4]

AIDA::IProfile2D * GaudiPython::HistoDecorator::profile2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const long | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0`
| ) |  |
| static

Definition at line 430 of file HistoDecorator.cpp.

435 {
436 return algo.profile2D( valueX, valueY, valueZ, ID, title, lowX, highX, lowY, highY, binsX, binsY, weight );
437 }
GaudiHistos::profile2D
AIDA::IProfile2D * profile2D(const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0) const
fill the 2D profile histogram (book on demand)
Definition: GaudiHistos_2DProfFixedBinning.icpp:103

## ◆ profile2D() [4/4]

AIDA::IProfile2D * GaudiPython::HistoDecorator::profile2D | ( | const GaudiHistoAlg & | algo,
|  | const double | valueX,
|  | const double | valueY,
|  | const double | valueZ,
|  | const std::string & | ID,
|  | const std::string & | title,
|  | const double | lowX,
|  | const double | highX,
|  | const double | lowY,
|  | const double | highY,
|  | const unsigned long | binsX = `50`,
|  | const unsigned long | binsY = `50`,
|  | const double | weight = `1.0`
| ) |  |
| static

Definition at line 441 of file HistoDecorator.cpp.

446 {
447 return algo.profile2D( valueX, valueY, valueZ, ID, title, lowX, highX, lowY, highY, binsX, binsY, weight );
448 }
GaudiHistos::profile2D
AIDA::IProfile2D * profile2D(const double valueX, const double valueY, const double valueZ, const std::string &title, const double lowX, const double highX, const double lowY, const double highY, const unsigned long binsX=50, const unsigned long binsY=50, const double weight=1.0) const
fill the 2D profile histogram (book on demand)
Definition: GaudiHistos_2DProfFixedBinning.icpp:103

The documentation for this class was generated from the following files:

- GaudiPython/GaudiPython/HistoDecorator.h
- GaudiPython/src/Lib/HistoDecorator.cpp